%define version 0.9.9
%define release alt1

%setup_python_module nltk

Summary: Python modules for Natural Language Processing (NLP)
Name: python-module-nltk
Version: %version
Release: %release


Packager: Kirill Maslinsky <kirill@altlinux.org>
License: GPLv2 
Group: Development/Python
Url: http://www.nltk.org
BuildRequires(pre): rpm-build-python
BuildArch: noarch

Source: %name-%version.tar
Patch: nltk-%version-%release.patch

# Automatically added by buildreq on Mon Mar 02 2009
BuildRequires: elinks python-devel python-module-numpy python-module-yaml python-modules-email python-modules-encodings python-modules-logging python-modules-sqlite3 python-modules-tkinter python-modules-xml

%description
Description: The Natural Language Toolkit (NLTK) is a Python package for
        processing natural language text.  NLTK requires Python 2.4 or higher.
Keywords: NLP,CL,natural language processing,computational linguistics,parsing,tagging,tokenizing,syntax,linguistics,language,natural language

%prep
%setup
%patch -p1
rm -rvf yaml/
# still hope to remove copy of ElementTree later, when it won't be used by any modules
#rm -rvf nltk/etree

%build
mkdir -p buildroot

CFLAGS="%optflags" %__python setup.py \
        install --optimize=2 \
                --root=`pwd`/buildroot \
                --install-lib=%python_sitelibdir \
                --record=INSTALLED_FILES
               
%install
cp -pr buildroot %buildroot
unset RPM_PYTHON

%files -f INSTALLED_FILES

%changelog
* Sun May 24 2009 Kirill Maslinsky <kirill@altlinux.org> 0.9.9-alt1
- 0.9.9

* Mon Mar 02 2009 Kirill Maslinsky <kirill@altlinux.org> 0.9.8-alt1.1
- fixed packaging
    - build as noarch
    - fix pythonic pseudo-unmets
    - do not package copy of PyYAML
    - use description from PKG-INFO

* Mon Mar 02 2009 Kirill Maslinsky <kirill@altlinux.org> 0.9.8-alt1
- Initial build for Sisyphus

